Deployments.ai Docs
Tenancy

Create a service account

POST /v1/service-accounts · SDK createServiceAccount · CLI deployments service-account create

POST
/v1/service-accounts

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
description?string
Lengthlength <= 2000
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
scopes*array<>
Items1 <= items

Response Body

ServiceAccountResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range1 <= value
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdByPrincipalId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
description?string
Lengthlength <= 2000
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
scopes*array<>
status*string
Value in"active""archived""disabled"
curl -X POST "https://example.com/v1/service-accounts" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "scopes": [      "string"    ]  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 1,  "environmentId": "string",  "organizationId": "string",  "projectId": "string",  "createdByPrincipalId": "string",  "description": "string",  "id": "string",  "name": "string",  "scopes": [    "string"  ],  "status": "active"}